.custom-contact-messages-form select {
  margin: 0;
}

@media screen and (max-width: 768px) {

  .custom-contact-messages-form .given-name,
  .custom-contact-messages-form .family-name,
  .custom-contact-messages-form .local-number,
  .custom-contact-messages-form .form-email,
  .custom-contact-messages-form .field--name-field-interest,
  .custom-contact-messages-form .field--name-field-i-am,
  .custom-contact-messages-form .locality,
  .custom-contact-messages-form .administrative-area {
    width: 100%;
  }

  div.address-container-inline > .form-item {
    display: block;
    margin-right: 0;
  }

  field--name-field-select-your-color

}

@media screen and (min-width: 769px) {

  .custom-contact-messages-form .given-name,
  .custom-contact-messages-form .family-name,
  .custom-contact-messages-form .local-number,
  .custom-contact-messages-form .form-email,
  .custom-contact-messages-form .field--name-field-interest,
  .custom-contact-messages-form .field--name-field-i-am,
  .custom-contact-messages-form .locality,
  .custom-contact-messages-form .administrative-area {
    width: 400px;
  }

  .field--name-field-interest,
  .field--name-field-i-am {
    float: left;
    margin-right: 20px;
    vertical-align: bottom;
  }

  .field--name-field-interest {
    clear: left;
  }

  .field--name-field-phone,
  .form-item-mail {
    vertical-align: baseline;
    float: left;
    margin-right: 50px;
  }

}

[data-drupal-selector="edit-field-address-0"] {
  margin-top: 0;
}

[data-drupal-selector="edit-field-address-0"] legend {
  display: none;
}

.field--name-field-select-your-color,
.field--name-field-subscription,
.field--name-field-if-member,
.field--name-field-model-number {
  clear: both;
}

/*.ajax-progress-throbber {*/
  /*display: none;*/
/*}*/

/* change radio buttons style */
.custom-contact-messages-form [type="radio"]:checked,
.custom-contact-messages-form [type="radio"]:not(:checked) {
  position: absolute;
  left: -9999px;
}

.custom-contact-messages-form [type="radio"]:checked + label,
.custom-contact-messages-form [type="radio"]:not(:checked) + label {
  position: relative;
  padding-left: 35px;
  cursor: pointer;
  line-height: 20px;
  display: inline-block;
  color: #363636;
}

.custom-contact-messages-form [type="radio"]:checked + label:before,
.custom-contact-messages-form [type="radio"]:not(:checked) + label:before {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  border: 1px solid #cccccc;
  border-radius: 100%;
  background: #fff;
  vertical-align: middle;
}

.custom-contact-messages-form [type="radio"]:checked + label:after,
.custom-contact-messages-form [type="radio"]:not(:checked) + label:after {
  content: '';
  line-height: 20px;
  width: 20px;
  height: 20px;
  padding: 4px;
  display: inline-block;
  background: #363636;
  position: absolute;
  background-clip: content-box;
  left: 0;
  top: 0;
  border-radius: 100%;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}

.custom-contact-messages-form [type="radio"]:not(:checked) + label:after {
  opacity: 0;
  -webkit-transform: scale(0);
  transform: scale(0);
}

.custom-contact-messages-form [type="radio"]:checked + label:after {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
}


/*product page contact form*/
.path-product .request-link {
  font-size: 14px;
  color: #666;
}

.footer-popup {
  display: none;
  position: fixed;
  backface-visibility: hidden;
  z-index: 999999;
  width: 100%;
  height: 100%;
  overflow-y: scroll;
  background-color: white;
  top: 0;
  left: 0;
}

.footer-popup.open {
  display: block;
}

.close-popup {
  background-color: rgba(255, 255, 255, 0.5);
  font-size: 30px;
  font-weight: 600;
  position: absolute;
  top: 20px;
  right: 10%;
}

.close-popup:hover {
  cursor: pointer;
}

.hide-color-popup .request-link {
  display: none!important;
}

/* Fix phone number issue for Register my Appliance form */
.contact-message-register-my-appliance-form .field--name-field-telephone-number {
  clear: both;
}
